# OSGeo::FDO::Xml::XmlSpatialContextWriter Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlSpatialContextWriter:

[legend]

List of all members.

## Detailed Description

XmlSpatialContextWriter writes Spatial Contexts to an XML document. This is done by calling the various setter functions to set the spatial context attributes and then calling WriteSpatialContext() to write the spatial context using the current attributes.

()

## Public Member Functions
__property System::String * | get_CoordinateSystem ()
| Gets the name of the coordinate system of the context to create.
__property System::String * | get_CoordinateSystemWkt ()
| Gets the coordinate system of the context to create as a string in OpenGIS SRS WKT format.
__property System::String * | get_Description ()
| Gets the description of the context to create as a string.
__property System::Byte | get_Extent ()[]
| Gets the extent of the context to create as a byte array in FGF format. If the extent type is dynamic, any value specified via this function is ignored.
__property OSGeo::FDO::Commands::SpatialContext::SpatialContextExtentType | get_ExtentType ()
| Gets the desired extent type of the context to create, either static or dynamic.
__property System::String * | get_Name ()
| Gets the name of the context to create as a string.
__property System::Double | get_XYTolerance ()
| Gets the tolerance value to use for X/Y ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
__property System::Double | get_ZTolerance ()
| Gets the tolerance value to use for Z ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
__property System::Void | set_CoordinateSystem (System::String *value)
| Gets the name of the coordinate system of the context to create.
__property System::Void | set_CoordinateSystemWkt (System::String *value)
| Sets the coordinate system of the context to create as a string in OpenGIS SRS WKT format.
__property System::Void | set_Description (System::String *value)
| Sets the description of the context to create as a string.
__property System::Void | set_Extent (System::Byte buffer[])
| Sets the extent of the context to create as a byte array in FGF format. If the extent type is dynamic this is optional and any value specified is ignored.
__property System::Void | set_ExtentType (OSGeo::FDO::Commands::SpatialContext::SpatialContextExtentType value)
| Sets the desired extent type of the context to create, either static or dynamic.
__property System::Void | set_Name (System::String *value)
| Sets the name of the context to create as a string.
__property System::Void | set_XYTolerance (System::Double value)
| Sets the tolerance value to use for X/Y ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
__property System::Void | set_ZTolerance (System::Double value)
| Sets the tolerance value to use for Z ordinates. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
System::Void | WriteSpatialContext ()
| Writes the current Spatial Context to the XML document.
| XmlSpatialContextWriter (OSGeo::FDO::Common::Xml::XmlWriter *writer, OSGeo::FDO::Xml::XmlSpatialContextFlags *flags)
| creates a Spatial Context Writer.
| XmlSpatialContextWriter (OSGeo::FDO::Common::Xml::XmlWriter *writer)
| creates a Spatial Context Writer.